--
-- PostgreSQL database dump
--

SET client_encoding = 'LATIN1';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = true;

--
-- Name: groups; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE groups (
    number smallint DEFAULT 0 NOT NULL,
    name character varying(30) NOT NULL,
    col smallint DEFAULT 0 NOT NULL,
    priority smallint DEFAULT 0 NOT NULL,
    collapse character varying(1) DEFAULT 0 NOT NULL
);


ALTER TABLE public.groups OWNER TO limph;

--
-- Name: history; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE history (
    number integer DEFAULT 0 NOT NULL,
    hostname character varying(40) DEFAULT 0 NOT NULL,
    host integer DEFAULT 0 NOT NULL,
    "type" character varying(4) DEFAULT 'Up'::character varying NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.history OWNER TO limph;

SET default_with_oids = false;

--
-- Name: host_notif; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE host_notif (
    number integer NOT NULL,
    host integer NOT NULL,
    "user" integer NOT NULL
);


ALTER TABLE public.host_notif OWNER TO limph;

SET default_with_oids = true;

--
-- Name: hosts; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE hosts (
    number integer DEFAULT 0 NOT NULL,
    name character varying(40) NOT NULL,
    ip inet NOT NULL,
    hostgroup smallint DEFAULT 0 NOT NULL,
    status smallint DEFAULT 1 NOT NULL,
    enabled smallint DEFAULT 1 NOT NULL,
    timeout smallint DEFAULT 1 NOT NULL,
    "type" character varying(4) DEFAULT 'icmp'::character varying NOT NULL,
    port smallint DEFAULT 0 NOT NULL,
    parent integer DEFAULT 0 NOT NULL,
    visible smallint DEFAULT 1 NOT NULL
);


ALTER TABLE public.hosts OWNER TO limph;

--
-- Name: layout; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE layout (
    number smallint DEFAULT 0 NOT NULL,
    width smallint DEFAULT 0 NOT NULL
);


ALTER TABLE public.layout OWNER TO limph;

SET default_with_oids = false;

--
-- Name: state; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE state (
    number integer NOT NULL,
    hostname character varying NOT NULL,
    "type" character varying NOT NULL,
    data character varying NOT NULL,
    datetime timestamp without time zone NOT NULL,
    disk character varying NOT NULL
);


ALTER TABLE public.state OWNER TO limph;

--
-- Name: thresholds; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE thresholds (
    number integer NOT NULL,
    hostname character varying NOT NULL,
    value character varying NOT NULL,
    "type" character varying NOT NULL,
    disk character varying NOT NULL
);


ALTER TABLE public.thresholds OWNER TO limph;

SET default_with_oids = true;

--
-- Name: universal; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE universal (
    "notify" character varying(1) DEFAULT 0 NOT NULL,
    address character varying(40) NOT NULL,
    version character varying(5) NOT NULL,
    "year" character varying(5) NOT NULL,
    autoupdateip character varying(1) DEFAULT 0 NOT NULL,
    textsize character varying(8) DEFAULT 'small'::character varying NOT NULL,
    tabletextsize character varying(8) DEFAULT 'x-small'::character varying NOT NULL,
    status_public character varying(1) DEFAULT 0 NOT NULL
);


ALTER TABLE public.universal OWNER TO limph;

--
-- Name: users; Type: TABLE; Schema: public; Owner: limph; Tablespace: 
--

CREATE TABLE users (
    number integer DEFAULT 0 NOT NULL,
    id character varying(10) NOT NULL,
    pass character varying(30) NOT NULL,
    email character varying(40) NOT NULL,
    "admin" smallint DEFAULT 0 NOT NULL,
    "notify" smallint DEFAULT 1 NOT NULL,
    digest smallint DEFAULT 1 NOT NULL
);


ALTER TABLE public.users OWNER TO limph;

--
-- Data for Name: groups; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY groups (number, name, col, priority, collapse) FROM stdin;
\.


--
-- Data for Name: history; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY history (number, hostname, host, "type", datetime) FROM stdin;
\.


--
-- Data for Name: host_notif; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY host_notif (number, host, "user") FROM stdin;
\.


--
-- Data for Name: hosts; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY hosts (number, name, ip, hostgroup, status, enabled, timeout, "type", port, parent, visible) FROM stdin;
\.


--
-- Data for Name: layout; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY layout (number, width) FROM stdin;
1	5
2	5
3	5
\.


--
-- Data for Name: state; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY state (number, hostname, "type", data, datetime, disk) FROM stdin;
\.


--
-- Data for Name: thresholds; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY thresholds (number, hostname, value, "type", disk) FROM stdin;
\.


--
-- Data for Name: universal; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY universal ("notify", address, version, "year", autoupdateip, textsize, tabletextsize, status_public) FROM stdin;
1	yourgroup@yourorg.org	1.9.6	2009	0	small	x-small	0
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: limph
--

COPY users (number, id, pass, email, "admin", "notify", digest) FROM stdin;
1	admin	adpexzg3FUZAk	you@yourorg.tld	1	1	1
\.


--
-- Name: groups.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT "groups.number" PRIMARY KEY (number);


--
-- Name: history.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY history
    ADD CONSTRAINT "history.number" PRIMARY KEY (number);


--
-- Name: host_notif_pkey; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY host_notif
    ADD CONSTRAINT host_notif_pkey PRIMARY KEY (number);


--
-- Name: hosts.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY hosts
    ADD CONSTRAINT "hosts.number" PRIMARY KEY (number);


--
-- Name: layout.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY layout
    ADD CONSTRAINT "layout.number" PRIMARY KEY (number);


--
-- Name: state.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY state
    ADD CONSTRAINT "state.number" PRIMARY KEY (number);


--
-- Name: thresholds.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY thresholds
    ADD CONSTRAINT "thresholds.number" PRIMARY KEY (number);


--
-- Name: users.number; Type: CONSTRAINT; Schema: public; Owner: limph; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT "users.number" PRIMARY KEY (number);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

